Page MenuHomePhabricator

Deploy Updated wikidiff2 C++ Engine
Closed, ResolvedPublic5 Story Points

Description

The iOS team has modified wikidiff2 to allow for returning JSON structured data. Discussed in T228794

Acceptance Criteria:

  • Review patch referenced in T232231
  • Packaging of wikidiff2
  • Deploy wikidiff2 server side. Note: Need a MW dev to comment on the complexity and substeps of this step
    • ????
  • Ensure wikidiff2 is accessible to MW Rest API handler specified in T231347

Event Timeline

WDoranWMF renamed this task from Deploy Updated wikidiff2 c++ engine to Deploy Updated wikidiff2 C++ Engine.Aug 29 2019, 5:49 PM
WDoranWMF removed eprodromou as the assignee of this task.Sep 3 2019, 8:56 PM
WDoranWMF updated the task description. (Show Details)Sep 4 2019, 12:58 PM
WDoranWMF updated the task description. (Show Details)
WDoranWMF set the point value for this task to 5.Sep 4 2019, 1:01 PM
WDoranWMF updated the task description. (Show Details)Sep 12 2019, 12:44 PM
WDoranWMF added subscribers: Tsevener, tstarling.

@tstarling @Tsevener has uploaded a preliminary patch at T232231 to provide a JSON structure from WikiDiff2 that they would like input on, could take a look at it?

@WMDE-Fisch @thiemowmde can either of you address this point? I'd like to learn the deployment workflow as well.

Deploy wikidiff2 server side. Note: Need a MW dev to comment on the complexity and substeps of this step

jijiki added a subscriber: jijiki.Oct 9 2019, 5:32 PM
jijiki added a subscriber: Legoktm.Oct 9 2019, 5:49 PM

It appears that 1.9.0 is not present in https://releases.wikimedia.org/wikidiff2/ :(

WDoranWMF added a comment.EditedOct 15 2019, 3:18 PM

@jijiki Is this unblocked now? I think I see 1.9.0. Let me know if I can help to unblock.

@jijiki it appears to be present now :)

@WMDE-Fisch @thiemowmde @Pchelolo I have installed php-wikidiff2_1.9.0-2~wmf1_amd64 on beta (deployment-mediawiki-07 && deployment-mediawiki-09). If it works as expected, please let me know so to roll it out in production.

@jijiki Thank you! However, I will ask you for one more thing in beta - could you also install it on deployment-mediawiki-parsoid10.deployment-prep.eqiad.wmflabs before proceeding to prod? That's where all the requests to rest.php are routed now, so we need it there to test from outside the beta cluster.

Thank you @jijiki. I was a bit confused in the beginning as it didn't work, but sudo systemctl restart php7.2-fpm.service make it work :)

I've poked around some diffs on beta a bit and it seems to work, I think we can carefully proceed to production.

:( mybad, sorry :(

I will roll out to production tomorrow. The process is to upload the package to our wikimedia-stretch repo, update all servers, and then rolling restart php-fpm.

Mentioned in SAL (#wikimedia-operations) [2019-10-18T10:49:11Z] <effie> Uploading wikidiff2_1.9.0-2~wmf1 to wikimedia-stretch - T231586

@Pchelolo @WMDE-Fisch @thiemowmde version 1.9.0-2~wmf1 is live, please ping me if we need to rollback

@eprodromou

I haven't seen sectionTitles returned in the labs compare endpoint output. Even if we aren't passing in section byte offsets yet, I would expect an empty sectionTitles array. This makes me think 1.9.0 doesn't include my latest changes to output section titles for each diff line: https://gerrit.wikimedia.org/r/#/c/mediawiki/php/wikidiff2/+/539906/

So a heads up this may need a version increment and redeployment before section byte offsets can be passed in.

@eprodromou
I haven't seen sectionTitles returned in the labs compare endpoint output. Even if we aren't passing in section byte offsets yet, I would expect an empty sectionTitles array. This makes me think 1.9.0 doesn't include my latest changes to output section titles for each diff line: https://gerrit.wikimedia.org/r/#/c/mediawiki/php/wikidiff2/+/539906/

The 1.9.0. release was done before that patch got merged. So I can confirm, that this patch is not part of 1.9.0. - Before we make another release. Is there anything else that should go in and is not merged yet? ^^'

@WMDE-Fisch good point - there are no current outstanding PRs but I can think of a nice-to-have PR that might be good to make and get in now before we go through releasing again. We are also doing user testing next week with some hardcoded data, so might be good to wait and see if anything comes up from that. I'll let you know if we decide to keep it as-is or tweak a bit more for v1. Thanks!

Pchelolo closed this task as Resolved.Thu, Oct 24, 5:46 PM
Pchelolo claimed this task.
Pchelolo moved this task from Blocked to Done on the Core Platform Team Workboards (Green) board.

@WMDE-Fisch @eprodromou FYI I have created one more patch for this, then it can be versioned once more and pushed. We do not expect any further changes from user testing next week. Thanks!